package main

import (
	"flag"
	"fmt"
	"os"
	"strings"

	"kumoly.io/lib/xorenc"
)

var Version = "0.0.0"
var Build = "alpha"

var verFlag bool

func init() {
	flag.BoolVar(&verFlag, "v", false, "shoe version")
}

func main() {
	flag.Parse()
	if verFlag {
		fmt.Printf("%s - %s\n", Version, Build)
		return
	}
	if len(os.Args) < 3 {
		fmt.Println("usage: xorenc [e|d] msg key")
		os.Exit(1)
	}
	key := ""
	if len(os.Args) > 3 {
		key = os.Args[3]
	}
	msg := os.Args[2]

	if strings.HasPrefix(os.Args[1], "e") {
		fmt.Println(xorenc.Encrypt(msg, key))
	} else {
		str, err := xorenc.Decrypt(msg, key)
		if err != nil {
			panic(err)
		}
		fmt.Println(str)
	}
}
